# contextWithInstance

## JSTemplateComponent. contextWithInstance

Source:
  - constructors/js-template-component.js, line 86
Implements:
  - JSTemplateComponent.contextInstance

### Members

#### (static) __instance :JSTemplateComponent.contextInstance

Source:
  - constructors/js-template-component.js, line 92

##### Type:

- JSTemplateComponent.contextInstance

#### (static) __lifeCycle :JSTemplateComponent.contextLifeCycle

Source:
  - constructors/js-template-component.js, line 97

context object default is Node

##### Type:

- JSTemplateComponent.contextLifeCycle

#### (static) state :Object.<string, (string|number|Object.<string, any>|null|Array.<any>)>

Source:
  - constructors/js-template-component.js, line 103

context object default is Node

##### Type:

- Object.<string, (string|number|Object.<string, any>|null|Array.<any>)>